package com.inspect.metadata.bdconfig.mapper;

import com.inspect.metadata.bdconfig.domain.BasedataBdConfigMainSystem;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BasedataBdConfigMainSystemMapper {
    BasedataBdConfigMainSystem selectBasedataBdConfigMainSystemByMainSystemId(Long systemId);

    List<BasedataBdConfigMainSystem> selectBasedataBdConfigMainSystemList(BasedataBdConfigMainSystem mainSystem);

    int insertBasedataBdConfigMainSystem(BasedataBdConfigMainSystem mainSystem);

    int updateBasedataBdConfigMainSystem(BasedataBdConfigMainSystem mainSystem);

    int deleteBasedataBdConfigMainSystemByMainSystemId(Long systemId);

    int deleteBasedataBdConfigMainSystemByMainSystemIds(Long[] systemIds);

    BasedataBdConfigMainSystem selectBasedataBdConfigMainSystemByMainSystemCode(@Param("mainSystemCode") String mainSystemCode);
}
